Subject: Re: warning: ignoring unknown core.fsync component 'true'

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 23 Jul 2025 07:27:59 +0200

Hi Jinfeng,

On Wed, Jul 23, 2025 at 11:07:37AM +0800, Wang, Jinfeng (CN) wrote:
> For a specific git repo, when I clone or fetch the repo, I encounters the
> warning
> 
> remote: warning: ignoring unknown core.fsync component 'true'
> remote: Enumerating objects: 41, done.
> remote: Total 41 (delta 0), reused 0 (delta 0), pack-reused 41
> Unpacking objects: 100% (41/41), 37.51 MiB | 10.91 MiB/s, done.
> 
> But after clone the repo, I didn't see core.fsync in my .git/config. And
> there isn't anything relates core.fsync.

The problem doesn't exist on the client-side, but rather on the remote
as indicated by the "remote: " prefix. So there's nothing you can do on
the client-side to address the problem, you'll have to reach out to the
admin of that repository and tell them that the repository uses an
invalid value for "core.fsync".

> I also tried git with different version (2.25.1 and 2.34.1) to clone the
> repo, both will show this warning. What configuration causes this warning?

It's "core.fsync" indeed, but not on your side. The config does not take
a boolean, but rather a list of components that should use fsync. I
guess the admin wanted to just fsync everything, but in that case you
don't want "core.fsync=true" but "core.fsync=all".

Patrick